Bug 427732 - f-spot hangs system when import dialog is closed/cancelled
f-spot hangs system when import dialog is closed/cancelled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-07 04:14 EST by Adrian
Modified: 2009-01-09 00:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:43:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian 2008-01-07 04:14:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
When clicking on the cancel or close (X) button in the import dialog, my system immediately hangs. 

Version-Release number of selected component (if applicable):
f-spot-0.4.0-3.fc8

How reproducible:
Always


Steps to Reproduce:
1. Open F-Spot Photo Manager
2. Click on the Import toolbar button
3. Click Cancel in the Import dialog or click Close Window (X)

Actual Results:
My system hangs - i.e. mouse, keyboard, everything freezes up.

Expected Results:
The Import dialog should close and the import process should stop.

Additional info:
This is what I get when starting f-spot from the CLI:

Initializing Mono.Addins
Starting new FSpot server
Query: SELECT photos.id, photos.time, photos.directory_path, photos.name, photos.description, photos.roll_id, photos.default_version_id FROM photos  WHERE  photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY photos.time
Query: SELECT photos.id, photos.time, photos.directory_path, photos.name, photos.description, photos.roll_id, photos.default_version_id FROM photos  WHERE  photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY photos.time

(f-spot:2710): Gtk-WARNING **: gtk_menu_attach_to_widget(): menu already attached to GtkMenuItem

(f-spot:2710): Gtk-WARNING **: gtk_menu_attach_to_widget(): menu already attached to GtkMenuItem
Query: SELECT photos.id, photos.time, photos.directory_path, photos.name, photos.description, photos.roll_id, photos.default_version_id FROM photos  WHERE  photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY photos.time
Reloading
Query: SELECT photos.id, photos.time, photos.directory_path, photos.name, photos.description, photos.roll_id, photos.default_version_id FROM photos  WHERE  photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY photos.time
item changed

(f-spot:2710): GdkPixbuf-WARNING **: GdkPixbufLoader finalized without calling gdk_pixbuf_loader_close() - this is not allowed. You must explicitly end the data stream to the loader before dropping the last reference.
Comment 1 Adrian 2008-01-12 07:21:00 EST
I've noticed the same problem when viewing an image and closing the "image
viewer" window.
Comment 2 Nathaniel McCallum 2008-02-10 22:07:37 EST
Can the priority on this be raised?  This bug makes f-spot usless.  I've tested 
on >10 systems (non-identical HW), all fresh installs of Fedora 8 or Rawhide.  
None of them are functional.  I did notice one difference: on some HW f-spot 
freezes the system, on others it crashes X, all at the same point though.
Comment 3 Nigel Jones 2008-07-15 06:28:00 EDT
I've built 0.4.3.1 as a potential update for Fedora 8, while it's not in the
updates-testing repository yet, you can grab the RPM from
http://kojipkgs.fedoraproject.org/packages/f-spot/0.4.3.1/1.fc8/ would you
please be able to check if you can still reproduce the bug?
Comment 4 Nathaniel McCallum 2008-07-17 21:15:34 EDT
It has been a while since I reported this bug.  Since that point, I don't know
when, some update to some part of the stack resolved this bug.  However, exiting
f-spot causes a segfault (I think during the VM tare-down).  I wonder if this
occurs with gtk-sharp2-2.12...
Comment 5 Nigel Jones 2008-07-17 21:25:40 EDT
Yeah, that segfault occurs locally too, I'm going to experiment under rawhide
later today.
Comment 6 Bug Zapper 2008-11-26 04:19:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 00:43:31 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.